layers(6).
width(0,9).
in_layer(0,n1).
in_layer(0,n2).
in_layer(0,n3).
in_layer(0,n4).
in_layer(0,n5).
in_layer(0,n6).
in_layer(0,n7).
in_layer(0,n8).
in_layer(0,n9).
width(1,9).
in_layer(1,n10).
in_layer(1,n11).
in_layer(1,n12).
in_layer(1,n13).
in_layer(1,n14).
in_layer(1,n15).
in_layer(1,n16).
in_layer(1,n17).
in_layer(1,n18).
width(2,9).
in_layer(2,n19).
in_layer(2,n20).
in_layer(2,n21).
in_layer(2,n22).
in_layer(2,n23).
in_layer(2,n24).
in_layer(2,n25).
in_layer(2,n26).
in_layer(2,n27).
width(3,9).
in_layer(3,n28).
in_layer(3,n29).
in_layer(3,n30).
in_layer(3,n31).
in_layer(3,n32).
in_layer(3,n33).
in_layer(3,n34).
in_layer(3,n35).
in_layer(3,n36).
width(4,9).
in_layer(4,n37).
in_layer(4,n38).
in_layer(4,n39).
in_layer(4,n40).
in_layer(4,n41).
in_layer(4,n42).
in_layer(4,n43).
in_layer(4,n44).
in_layer(4,n45).
width(5,9).
in_layer(5,n46).
in_layer(5,n47).
in_layer(5,n48).
in_layer(5,n49).
in_layer(5,n50).
in_layer(5,n51).
in_layer(5,n52).
in_layer(5,n53).
in_layer(5,n54).
edge(n1,n13).
edge(n37,n48).
edge(n43,n50).
edge(n43,n47).
edge(n26,n33).
edge(n11,n26).
edge(n23,n31).
edge(n6,n13).
edge(n35,n45).
edge(n34,n39).
edge(n9,n11).
edge(n4,n12).
edge(n1,n16).
edge(n42,n52).
edge(n45,n53).
edge(n19,n34).
edge(n28,n43).
edge(n11,n19).
edge(n6,n15).
edge(n30,n37).
edge(n11,n24).
edge(n15,n22).
edge(n19,n29).
edge(n27,n30).
edge(n16,n20).
edge(n24,n33).
edge(n2,n17).
edge(n11,n21).
edge(n8,n13).
edge(n14,n27).
edge(n28,n42).
edge(n30,n40).
edge(n14,n19).
edge(n40,n47).
edge(n38,n46).
edge(n31,n45).
edge(n28,n40).
edge(n29,n41).
edge(n44,n48).
edge(n41,n51).
edge(n19,n36).
edge(n12,n22).
edge(n33,n37).
edge(n25,n28).
edge(n31,n44).
edge(n28,n44).
edge(n1,n10).
edge(n6,n12).
edge(n35,n42).
edge(n28,n41).
edge(n40,n54).
edge(n33,n45).
edge(n5,n11).
edge(n4,n16).
edge(n24,n32).
edge(n19,n32).
edge(n24,n36).
edge(n5,n17).
edge(n10,n20).
edge(n20,n31).
edge(n40,n50).
edge(n7,n14).
edge(n43,n49).
edge(n26,n32).
edge(n23,n36).
edge(n22,n32).
edge(n17,n23).
edge(n5,n16).
edge(n18,n27).
edge(n25,n32).
edge(n2,n18).
edge(n12,n23).
edge(n20,n32).
edge(n39,n52).
edge(n29,n45).
edge(n35,n41).
edge(n3,n11).
edge(n25,n33).
edge(n37,n52).
edge(n10,n21).
edge(n8,n18).
